Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ThreadpoolLane_var Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::ThreadpoolLane_var:

[legend]
List of all members.

## Public Methods
| ThreadpoolLane_var (void)
| ThreadpoolLane_var (ThreadpoolLane *)
| ThreadpoolLane_var (const ThreadpoolLane_var &)
| ThreadpoolLane_var (const ThreadpoolLane &)
| ~ThreadpoolLane_var (void)
ThreadpoolLane_var & | operator= (ThreadpoolLane *)
ThreadpoolLane_var & | operator= (const ThreadpoolLane_var &)
ThreadpoolLane_var & | operator= (const ThreadpoolLane &)
ThreadpoolLane * | operator-> (void)
const ThreadpoolLane * | operator-> (void) const
| operator const ThreadpoolLane & () const
| operator ThreadpoolLane & ()
| operator ThreadpoolLane & () const
const ThreadpoolLane & | in (void) const
ThreadpoolLane & | inout (void)
ThreadpoolLane & | out (void)
ThreadpoolLane | _retn (void)
ThreadpoolLane * | ptr (void) const
## Private Attributes
ThreadpoolLane * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE RTCORBA::ThreadpoolLane_var::ThreadpoolLane_var | ( | void |  | ) |

ACE_INLINE RTCORBA::ThreadpoolLane_var::ThreadpoolLane_var | ( | ThreadpoolLane * | p | ) |

RTCORBA::ThreadpoolLane_var::ThreadpoolLane_var | ( | const ThreadpoolLane_var & |  | ) |

RTCORBA::ThreadpoolLane_var::ThreadpoolLane_var | ( | const ThreadpoolLane & |  | ) |

ACE_INLINE RTCORBA::ThreadpoolLane_var::~ThreadpoolLane_var | ( | void |  | ) |

## Member Function Documentation

ThreadpoolLane RTCORBA::ThreadpoolLane_var::_retn | ( | void |  | ) |

const ThreadpoolLane& RTCORBA::ThreadpoolLane_var::in | ( | void |  | ) | const

ThreadpoolLane& RTCORBA::ThreadpoolLane_var::inout | ( | void |  | ) |

RTCORBA::ThreadpoolLane_var::operator const ThreadpoolLane & | ( |  | ) | const

RTCORBA::ThreadpoolLane_var::operator ThreadpoolLane & | ( |  | ) | const

RTCORBA::ThreadpoolLane_var::operator ThreadpoolLane & | ( |  | ) |

ACE_INLINE const ::RTCORBA::ThreadpoolLane * RTCORBA::ThreadpoolLane_var::operator-> | ( | void |  | ) | const

ACE_INLINE::RTCORBA::ThreadpoolLane * RTCORBA::ThreadpoolLane_var::operator-> | ( | void |  | ) |

ThreadpoolLane_var& RTCORBA::ThreadpoolLane_var::operator= | ( | const ThreadpoolLane & |  | ) |

ThreadpoolLane_var& RTCORBA::ThreadpoolLane_var::operator= | ( | const ThreadpoolLane_var & |  | ) |

ACE_INLINE RTCORBA::ThreadpoolLane_var & RTCORBA::ThreadpoolLane_var::operator= | ( | ThreadpoolLane * | p | ) |

ThreadpoolLane& RTCORBA::ThreadpoolLane_var::out | ( | void |  | ) |

ThreadpoolLane* RTCORBA::ThreadpoolLane_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ThreadpoolLane* RTCORBA::ThreadpoolLane_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.i